Bug 1889662 - Add sorting and searching by recommendations count
Summary: Add sorting and searching by recommendations count
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: RH Cloud - Inventory
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.9.0
Assignee: Shimon Shtein
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 10:44 UTC by Shimon Shtein
Modified: 2021-04-21 13:18 UTC (History)
2 users (show)

Fixed In Version: 3.0.17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:18:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:18:42 UTC

Description Shimon Shtein 2020-10-20 10:44:28 UTC
Add search and sort by recommendations count to hosts.

Comment 1 Brad Buckingham 2021-01-08 22:02:55 UTC
Early Satellite 6.9 SNAP includes tfm-rubygem-foreman_rh_cloud-3.0.14-1.el7sat.noarch.rpm; therefore, aligning to release and updating state.

Comment 6 Jameer Pathan 2021-03-10 09:02:03 UTC
Verified:

Verified with:
- Satellite 6.9.0 snap 16
- tfm-rubygem-foreman_rh_cloud-3.0.17-1.el7sat.noarch

Test steps:
- Have hosts with Insights recommendations.
- Go to Hosts > All Host
- Click on "Recommendations" column. 
- Use insights_recommendations_count keyword to filter hosts.

Observations: 
- Sorting hosts based on recommendations count worked as expected.
- Filtering hosts based on insights_recommendations_count keyword worked as expected.

Comment 9 errata-xmlrpc 2021-04-21 13:18:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.